/**
 *
 */
#ifdef NSM5112DEV01

#ifndef NRF51822
  #define NRF51822
#endif
#ifdef __cplusplus
extern "C" {
#endif

#include "nrf_gpio.h"
// PIN definitions for 5112 Module
#define PIN01 3
#define PIN02 5
#define PIN03 20
//#define PIN04 SWDCLK
//#define PIN05 SWDIO
#define PIN06 12
#define PIN07 11
#define PIN08 9
#define PIN09 8
#define PIN10 5//=PIN02
#define PIN11 3//=PIN01
#define PIN12 1
#define PIN13 0//Aref
//#define PIN14 VDD
#define PIN15 26
#define PIN16 27
#define PIN17 24
#define PIN18 21
#define PIN19 28
#define PIN20 23
#define PIN21 22
//#define PIN22 VSS
//#define PIN23 VSS
//#define PIN24 VDD

// PINs must be set to "input mode"
#define LIST_INPUT_MODE { IM_01,IM_02,IM_03,IM_04,IM_05,IM_06,IM_07,IM_08,IM_09,IM_10,IM_11,IM_12,IM_13,IM_14,IM_15,IM_16 }
#define NUM_INPUT_MODE 16
#define IM_01 25
#define IM_02 29
#define IM_03 30
#define IM_04 2
#define IM_05 31
#define IM_06 19
#define IM_07 4
#define IM_08 17
#define IM_09 6
#define IM_10 18
#define IM_11 14
#define IM_12 13
#define IM_13 10
#define IM_14 7
#define IM_15 16
#define IM_16 15

//buttons define
#define BUTTONS_NUMBER 1

#define BUTTON_START   PIN09
#define BUTTON_1       PIN09
//#define BUTTON_2       18
//#define BUTTON_3       19
#define BUTTON_STOP    PIN09
#define BUTTON_PULL    NRF_GPIO_PIN_PULLUP

#define BUTTONS_ACTIVE_STATE 0

#define BUTTONS_LIST { BUTTON_1/*, BUTTON_2, BUTTON_3*/}

#define BSP_BUTTON_0   BUTTON_1
//#define BSP_BUTTON_1   BUTTON_2
//#define BSP_BUTTON_2   BUTTON_3
//#define BSP_BUTTON_3   BUTTON_4

// LEDs definitions for PCA10028
#define LEDS_NUMBER    1

#define LED_START      PIN02
#define LED_1          PIN02
#define LED_STOP       PIN02

#define LEDS_ACTIVE_STATE 0

#define LEDS_LIST {LED_1}

/*
#define RX_PIN_NUMBER  8
#define TX_PIN_NUMBER  6
#define CTS_PIN_NUMBER 7
#define RTS_PIN_NUMBER 5
*/
//#define HWFC           true

// Low frequency clock source to be used by the SoftDevice
#define NRF_CLOCK_LFCLKSRC      {.source        = NRF_CLOCK_LF_SRC_RC,            \
                                 .rc_ctiv       = 16,                                \
                                 .rc_temp_ctiv  = 2,                               \
                                 .xtal_accuracy = 0}
//                                 .xtal_accuracy = NRF_CLOCK_LF_XTAL_ACCURACY_20_PPM}


#ifdef __cplusplus
}
#endif

#endif // NSM5112DEV01
